struct Str {
  FILE *in;
  char ch,      // last read character
       cmt_ch,  // after this char: comment
       *s;      // assigned to extern char buffer
  Str(FILE *in,char *s);
  void rword(const char *form,...); // like fscanf(), skips ' ' and '\n' first, and ' ' at the end
  bool operator==(const char*);
  bool operator!=(const char*);
}; 
